<%= form_for(@article) do |f| %>
  <% if @article.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@article.errors.count, "error") %> prohibited this article from being saved:</h2>
      <ul>
        <% @article.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="titre_actif">
    <div class="toolbar">
      <%= button_tag "", type: "submit", class: "btn btn-primary fa fa-save fa-3x save-button", title: "Enregistrer" %>
    </div>

    <h1><%= f.text_field :title, placeholder: "Nouvel article " %></h1>
    <span class="title-tag">
      <i class="fa fa-archive fa-4x"></i>
    </span>
  </div>

  <div class="col-md-4">
    <div hidden><%= f.file_field :picture, id: "picture_field" %></div>
    <%= image_tag @article.picture.url(:medium), onclick: "change_picture()" %>
  </div>

  <div class="col-md-8">
    <div class="col-md-6">
      <div class="field input-group">
        <strong>Peut être vendu:</strong>
          <%= f.check_box :can_sell, value: @article.can_sell  ? 1 : 0, class: "my-checkbox" %><br>
      </div>
    </div>
    <div class="col-md-6">
      <div class="field input-group">
        <strong>Peut être acheté:</strong>
        <%= f.check_box :can_purchase, value: @article.can_purchase  ? 1 : 0, class: "my-checkbox" %>
      </div>
    </div>
    <div class='end_page'></div>
    <div class="well left">
      <div class="control-group">
    	  <div class="field input-group">
    			<span class="input-group-addon" title="Catégorie"><i class="fa fa-archive fa-fw"></i> Catégorie</span>
          <%= f.select(:category_id, [], {}, class: "form-control" ) do %>
            <%= content_tag(:option, "", value: nil) %>
            <% @categories.each do |category| %>
              <%= content_tag(:option, category.title, value: category.id, selected: (category.id==@article.category_id)) %>
            <% end %>
      		<% end %>
        </div>
      </div>
      <div class="control-group">
        <div class="field input-group">
          <span class="input-group-addon" title="Code barre"><i class="fa fa-barcode fa-fw"></i> Code barre</span>
          <%= f.text_field :gencode, class: "form-control", placeholder: "code barre" %>
        </div>
      </div>
      <div class="control-group">
        <div class="field input-group">
          <span class="input-group-addon" title="Référence interne"><i class="fa fa-qrcode fa-fw"></i> Référence</span>
          <%= f.text_field :ref, class: "form-control", placeholder: "reference" %>
        </div>
      </div>
    </div>
  </div>

  <div class="col-md-12">
    <div class="tabbable-panel">
    	<div class="tabbable-line">
    		<ul class="nav nav-tabs ">
          <li class="active">
    				<a href="#tab_information" data-toggle="tab">
    				Informations </a>
    			</li>
    			<li>
    				<a href="#tab_descriptions" data-toggle="tab">
    				Description </a>
    			</li>
          <li>
    				<a href="#tab_inventaire" data-toggle="tab">
    				Inventaire </a>
    			</li>
    			<li>
    				<a href="#tab_compta" data-toggle="tab">
    				Comptabilité </a>
    			</li>
    		</ul>
    		<div class="tab-content">
          <div class="tab-pane active" id="tab_information">
            <div class="control-group">
              <div class="field input-group">
                <div class="control-group">
                  <div class="field input-group">
                    <span class="input-group-addon"><i class="fa fa-euro fa-fw"></i> Prix d'achat</span>
                    <%= f.number_field :purchase_price, class: "form-control", :step => "any", value: @article.purchase_price, id: "pa" %>
                  </div>
                </div>
              </div>
              <div class="field input-group">
                <div class="control-group">
                  <div class="field input-group">
                    <span class="input-group-addon"><i class="fa fa-truck fa-fw"></i> Frais</span>
                    <%= number_field_tag "", nil, :step => "any", class: "form-control", :step => "any", id: "frais", value: @frais %>
                  </div>
                </div>
              </div>
              <div class="field input-group">
                <div class="control-group">
                  <div class="field input-group">
                    <span class="input-group-addon"><i class="fa fa-euro fa-fw"></i> Prix de revient</span>
                    <%= f.number_field :cost_price, class: "form-control", :step => "any", value: @article.cost_price, id: "pr" %>
                  </div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="field input-group">
                  <div class="control-group">
                    <div class="field input-group">
                      <span class="input-group-addon"><i class="fa fa-percent fa-fw"></i> Marge</span>
                      <%= number_field_tag "", nil, :step => "any", class: "form-control", id: "marge_percent", value: @marge_percent %>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="field input-group">
                  <div class="control-group">
                    <div class="field input-group">
                      <span class="input-group-addon"><i class="fa fa-money fa-fw"></i> Marge</span>
                      <%= number_field_tag "", nil, :step => "any", class: "form-control", id: "marge", value: @marge %>
                    </div>
                  </div>
                </div>
              </div>
              <div class="field input-group">
                <div class="control-group">
                  <div class="field input-group">
                    <span class="input-group-addon"><i class="fa fa-euro fa-fw"></i> Prix de vente</span>
                    <%= f.number_field :public_price, class: "form-control", :step => "any", value: @article.public_price, id: "pv" %>
                  </div>
                </div>
              </div>
              <div class="field input-group">
                <div class="control-group">
                  <div class="field input-group">
                    <span class="input-group-addon"><i class="fa fa-calendar fa-fw"></i> Garantie (en mois)</span>
                    <%= f.number_field :warranty, class: "form-control", value: @article.warranty %>
                  </div>
                </div>
              </div>
            </div>
          </div>

    			<div class="tab-pane" id="tab_descriptions">
    				<%= f.text_area :description, class: "form-control tab-text-area", placeholder: "Description de l'article", rows: "10"%>
    			</div>

          <div class="tab-pane" id="tab_inventaire">
            <div class="control-group">
          	  <div class="field input-group">
          			<span class="input-group-addon"><i class="fa fa-user fa-fw"></i> Fournisseur</span>
                <%= f.select(:supplier_id, [], {}, class: "form-control" ) do %>
                  <%= content_tag(:option, "", value: nil) %>
                  <% @suppliers.each do |supplier| %>
                    <%= content_tag(:option, supplier.name, value: supplier.id, selected: (supplier.id==@article.supplier_id)) %>
                  <% end %>
                <% end %>
              </div>
            </div>
            <div class="control-group">
          	  <div class="field input-group">
          			<span class="input-group-addon"><i class="fa fa-archive fa-fw"></i> Stock fournisseur</span>
                <%= f.number_field :supplier_stock, class: "form-control", value: @article.supplier_stock %>
              </div>
            </div>
          </div>

    			<div class="tab-pane" id="tab_compta">
            <div class="col-md-6">
              <div class="field input-group">
                <div class="control-group">
                  <div class="field input-group">
                    <span class="input-group-addon"><i class="fa fa-percent fa-fw"></i> TVA achat</span>
                    <%= f.select(:purchase_vat_id , [], {}, class: "form-control" ) do %>
                      <% @vats.each do |vat| %>
                        <%= content_tag(:option, vat.title, value: vat.id, selected: (vat.id==@article.purchase_vat_id)) %>
                      <% end %>
                    <% end %>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-6">
              <div class="field input-group">
                <div class="control-group">
                  <div class="field input-group">
                    <span class="input-group-addon"><i class="fa fa-percent fa-fw"></i> TVA vente</span>
                    <%= f.select(:sale_vat_id , [], {}, class: "form-control" ) do %>
                      <% @vats.each do |vat| %>
                        <%= content_tag(:option, vat.title, value: vat.id, selected: (vat.id==@article.sale_vat_id)) %>
                      <% end %>
                    <% end %>
                  </div>
                </div>
              </div>
            </div>
            <div class='end_page'></div>
    			</div>
    		</div>
    	</div>
    </div>
  </div>

<% end %>
